servers.delete
DELETE
/servers/{serverId}
const url = 'https://example.com/api/servers/example';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"confirmation":{"serverId":"example"},"idempotencyKey":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/servers/example \ --header 'Content-Type: application/json' \ --data '{ "confirmation": { "serverId": "example" }, "idempotencyKey": "example" }'Deletes an inactive deployment target only after delete-safety blockers are clear. Public docs: /docs/servers/register-connect/#server-deployment-target
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” serverId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
confirmation
required
object
serverId
required
string
idempotencyKey
string
Example generated
{ "confirmation": { "serverId": "example" }, "idempotencyKey": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
id
required
string
Example generated
{ "id": "example"}